package com.bocloud.cmp.entity;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONField;
import com.megatron.entity.bean.GenericEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * Created by liuyuanyuan on 2020/3/18 17:40
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class CmsConsumer extends GenericEntity {
    @JSONField(name = "consumer_tag")
    private String consumerTag;
    private JSONObject queue;
    @JSONField(name = "ack_required")
    private Boolean ackRequired;
    private Boolean exclusive;
    @JSONField(name = "prefetch_count")
    private Long prefetchCount;
    // private JSONObject arguments;
    @JSONField(name = "channel_details")
    private JSONObject channelDetails;
    private String channelName;
}
