package com.bocloud.cmp.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;

/**
 * xsky 文件用户 and 文件用户组映射
 */
@Table("file_user_group_relation")
public class FileUserGroupRelation extends Generic {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("vendor_id")
    private Long vendorId; // 云供应商ID
    @Column("file_user_id")
    private Long fileUserId; // 云供应商ID
    @Column("file_user_group_id")
    private Long fileUserGroupId; // 云供应商ID

    public FileUserGroupRelation(Long vendorId, Long fileUserId, Long fileUserGroupId) {
        super();
        this.vendorId = vendorId;
        this.fileUserId = fileUserId;
        this.fileUserGroupId = fileUserGroupId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getVendorId() {
        return vendorId;
    }

    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }

    public Long getFileUserId() {
        return fileUserId;
    }

    public void setFileUserId(Long fileUserId) {
        this.fileUserId = fileUserId;
    }

    public Long getFileUserGroupId() {
        return fileUserGroupId;
    }

    public void setFileUserGroupId(Long fileUserGroupId) {
        this.fileUserGroupId = fileUserGroupId;
    }

}
