package com.bocloud.cmp.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;

/**
 * 存储主机和卷映射
 */
@Table("storage_group_member")
public class StorageGroupMember extends Generic {

    @PK(value = PKStrategy.AUTO)
    private Long id; //
    @Column("group_id")
    private Long groupId; // 组id，对应表storage_group的id字段
    @Column("member_id")
    private Long memberId; // 成员id，对应表volume/storage_host/storage_fcport的id字段

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getGroupId() {
        return groupId;
    }

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    public Long getMemberId() {
        return memberId;
    }

    public void setMemberId(Long memberId) {
        this.memberId = memberId;
    }
}
