package com.bocloud.cmp.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author tyl
 * @since 2021/4/27 15:06
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class IpInfoModel {
    /**
     * IP名称
     */
    private String name;
    /**
     * IP状态
     */
    private String status;
    /**
     * IP后缀（第四段）
     */
    private String suffix;
    /**
     * 网关
     */
    private String gateway;
    /**
     * DNS
     */
    private String dns;
    /**
     * CIDR
     */
    private String cidr;
}
