package com.bocloud.cmp.service;

import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.RequestContext;

/**
 * 首页概览数据service接口
 *
 * @author wangyu
 * @version 1.0
 * @since 2018年1月3日
 */
public interface CmpStatsService {

	/**
	 * 获取首页概览数据
	 *
	 * @param params
	 * @param user
	 * @return
	 */
	public GeneralResult stats(String params, RequestContext context);

	/**
	 * 查询云平台概览情况
	 *
	 * @param params
	 * @return
	 */
	public GeneralResult vendorStats(String params);
}
