package com.bocloud.cmp.service;

import com.bocloud.cmp.entity.ResourceModule;
import com.bocloud.cmp.entity.VendorCategory;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;

/**
 * ResourceModule Service接口
 */
public interface ResourceModuleService {

	GeneralResult<ResourceModule> create(ResourceModule resourceModule, RequestContext context);

	GeneralResult<ResourceModule> modify(ResourceModule resourceModule, RequestContext context);

	GeneralResult remove(Long id, RequestContext context);

	GeneralResult<GridBean<ResourceModule>> list(Pager pager, RequestContext context);

	GeneralResult<ResourceModule> detail(Long id);

}
