package com.bocloud.cmp.service;

import com.bocloud.cmp.entity.ResourceProperty;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;

/**
 * 数据中心抽象Service接口
 */
public interface ResourcePropertyService {

	GeneralResult<ResourceProperty> create(ResourceProperty resourceProperty, Long userId);

	GeneralResult<ResourceProperty> modify(ResourceProperty resourceProperty, Long userId);

	GeneralResult remove(Long id, Long userId);

	GeneralResult<GridBean<ResourceProperty>> list(Pager pager, RequestContext context);

	GeneralResult<ResourceProperty> detail(Long id);

}
