package com.bocloud.cmp.config;

import com.gitee.starblues.core.launcher.plugin.BasicMainResourcePatternDefiner;
import com.gitee.starblues.integration.IntegrationConfiguration;
import org.springframework.stereotype.Component;

import java.util.Set;

/**
 * @author dmw
 */
@Component
public class ExtMainResourcePatternDefiner extends BasicMainResourcePatternDefiner {
    public ExtMainResourcePatternDefiner(IntegrationConfiguration configuration) {
        super(configuration.mainPackage());
    }

    @Override
    public Set<String> getIncludePatterns() {
        Set<String> includePatterns = super.getIncludePatterns();
        includePatterns.add("org/springframework/**");
        includePatterns.add("org/aopalliance/aop/**");
        includePatterns.add("com/google/**");
        includePatterns.add("dm/jdbc/**");
        includePatterns.add("sun/misc/**");
        includePatterns.add("com/itextpdf/**");
        includePatterns.add("org/apache/poi/**");
        includePatterns.add("org/apache/commons/**");
        includePatterns.add("org/apache/http/**");
        includePatterns.add("org/apache/curator/**");
        includePatterns.add("org/slf4j/**");
        includePatterns.add("com/rabbitmq/**");
        includePatterns.add("com/megatron/**");
        includePatterns.add("com/alibaba/fastjson/**");
        return includePatterns;
    }
}
