package com.bocloud.cmp.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 云供应商业务类
 *
 * @author DZG
 * @since V1.0 2016年9月1日
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class CloudVendorBean {
    private Long id; // ID
    private String name; // 名称
    private Long envId;// 所在环境
    private String version;// 版本
    private String remark; // 描述
    private String address; // 网址
    private String account;// 账号
    private String password; // 管理密码
    private String tenant;// 所属租户
    private Long dcId;// 数据中心id
    /**
     * 可提供服务目录id
     */
    private String catalogIds;
    private String region;// 区域
    private String availablitiyZone;// 可用域
    private String props;
    private Long harborId;// harborId
    private String dockerAddress; // 供应商
    private String remoteSite; // 远程站点
    private String deployUrl; // 部署机url
    private String deployUsername; // 部署机用户名
    private String deployPassword; // 部署机密码
    private String authentication;
    private String syncCron;// 云平台同步任务cron

    private Integer snapshotSaveDay;
    private String snapshotCron;
    private Boolean allSnapshot;
    private List<Long> cloudServerIds;
    private String snapshotConfig;
    private Boolean snapshotAutoCreate;
    private String zd;

}
