package com.bocloud.cmp.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 订购信息
 * 
 * @author wangyu
 * @version 1.0
 * @since 2020年4月14日
 *
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class EmptionModel {

	// 申请数量
	private Integer count;
	// 时长
	private DurationModel duration;
	// 是否自动延期
	private Boolean autoRenew;
}
