package com.bocloud.cmp.entity;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONField;
import com.megatron.entity.bean.GenericEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * Created by liuyuanyuan on 2020/3/17 15:10
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class CmsBinding extends GenericEntity {
    private String source;
    private String vhost;
    private String destination;
    @JSONField(name = "destination_type")
    private String destinationType;
    @JSONField(name = "routing_key")
    private String routingKey;
    private JSONObject arguments;
    @JSONField(name = "properties_key")
    private String propertiesKey;
}
