package com.bocloud.cmp.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * Created by liuyuanyuan on 2020/3/12 17:05
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("cms_topic")
public class CmsTopic extends GenericEntity {
    @PK(PKStrategy.AUTO)
    private Long id;// ID
    @Column("num_partitions")
    private Long partitions;
    @Column("replicationFactor")
    private Long replicas;
    @Column("mq_id")
    private Long mqId;// 消息队列ID
}
