package com.bocloud.cmp.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;

import java.util.Objects;

@Table("san_fabric_zone_member")
public class SanFabricZoneMember extends GenericEntity {

    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("type")
    private String type;
    @Column("zone_id")
    private Long zoneId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Long getZoneId() {
        return zoneId;
    }

    public void setZoneId(Long zoneId) {
        this.zoneId = zoneId;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        SanFabricZoneMember other = (SanFabricZoneMember) obj;
        if (this.getName() == null) {
            return other.getName() == null;
        } else {
            return this.getName().equals(other.getName());
        }
    }

    @Override
    public int hashCode() {
        return Objects.hash(super.hashCode(), id, type, zoneId);
    }
}
