package com.bocloud.cmp.model;

import lombok.Data;

import java.util.Date;
import java.util.List;
import java.util.Map;

@Data
public class ElasticIpModel {

    private String name;
    private String instanceId;
    private String publicIp;
    private String elasticIpUuid;
    private String associationId;
    private String domains;
    private String networkInterfaceId;
    private String privateIpAddress;
    private List<Map<String, String>> tags;
    private String publicIpv4Pool;

    private String bandwidth; // EIP的带宽峰值，单位为Mbps
    private String status;
    private String instanceType;
    private String resourceGroupUuid;// 资源组
    private List<TagModel> tagModels;

    private String bandwidthUuid;
    private String bandwidthName;
    private String bandwidthShareType;
    private String bandwidthChargeMode;
    private Date createTime;
    private String enterpriseProjectId;
    private String portId;
    private String profile;
    private String type;
    private String publicIpv6Address;
    private String ipVersion;

    private String chargeMode;
    private String periodType;
    private Integer periodNum;
    private Boolean isAutoRenew;
    private Boolean isAutoPay;
    private String tenantUuid;
    private String enterpriseProjectUuid;

    private String regionId;
    private String provider;// 京东云，IP服务商，取值为bgp或no_bgp
    private String resourceLabel; //标签
    private String remark; //描述
}