package com.bocloud.cmp.model;

import java.util.List;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author tyl
 * @since 2021/4/28 17:39
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class IpPatchParams {
    private Action action;
    private List<Long> ids;
    private String remark;

    public enum Action{
        /**
         * 占用
         */
        lock,
        /**
         * 释放
         */
        free
    }
}
