package com.bocloud.cmp.model;

import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: NetworkInterfaceModel
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2019/9/27 14:34
 */
@Data
public class NetworkInterfaceModel {

	private String name;
	private String networkInterfaceUuid;
	private String resourceGroupName;
	private String regionId;// 所属域
	private String securityGroupUuid;
	private String networkUuid;
	private String virtualMachineUuid;
	private String subnetName;
	private String primaryPrivateIPAddress;
	private String macAddress;
	private String remark;
	private String zone;
	private List<String> securityGroups;
	private String interfaceType;
	private String subnetUuid;
	private String status;
	private Date attachedTime;// 挂载时间
	private Date detachedTime;// 卸载时间
	private String attachmentUuid;// 依附uuid
	private Integer deviceIndex;// 装置位置
	private Boolean deleteOnTermination;// 随实例终止
	private String attchmentStatus; // 挂载状态
	private String publicIPAddress;
	private Boolean nicsPrimary; // 是否是主网卡
	private String resourceGroupUuid;
	private String instanceId;
	private List<String> privateIpAddress;// 辅助私网IP
	private List<TagModel> tagModels;
	private String ipv6Address;// IPv6
	private String natGatewayUuid;// 如果网关是通过nat网关创建时有值，其他时候为空
	private String portUuid;
	private String publicIpAddressUuid;// 公共ip地址uuid
	private String action;
	private String dnsServer;
	private Boolean ipForwarding;
	private String tags;

}
