package com.bocloud.cmp.model;

import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class SecurityGroupModel {
	private String name;
	private String groupUuid;
	private String tenantUuid;
	private String remark;
	private Date createTime;
	private String requestId;
	private List<SecurityGroupRuleModel> models;
	private String vpcUuid;
	private String regionId;
	private String azureResourceGroupName;
	private String awsGroupName; // aws 组名
	private String resourceGroupUuid;
	private String securityGroupType;// 安全组类型
	private String category;// LINUX/WINDOWS
	private List<TagModel> tagModels;
	private String resourceGroupName;
	private String tags;
	private String enterpriseProjectUuid;
	private String status;
	private String ruleAction;
	private String action;

	// fc 纳管新增字段
	private String vdcUri;
	// fc 纳管新增字段

	public SecurityGroupModel(String name, String remark) {
		this.name = name;
		this.remark = remark;
	}

	public SecurityGroupModel(String name, String groupUuid, String remark) {
		this.name = name;
		this.groupUuid = groupUuid;
		this.remark = remark;
	}

	public SecurityGroupModel() {
	}

	public SecurityGroupModel(String name, String groupUuid, String remark, Date createTime, String requestId) {
		this.name = name;
		this.groupUuid = groupUuid;
		this.remark = remark;
		this.createTime = createTime;
		this.requestId = requestId;
	}
}
