package com.bocloud.cmp.model;

import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class SubnetModel {
	private String name;
	private String ipPools;
	private String cidr;
	private Boolean dhcpEnabled;
	private String dhcpServerIp;
	private Integer vlan;
	private String gateway;
	private String netmask;
	private String dnsNames;
	private String hostRoutes;
	private String subnetUuid;
	private String ipVersion;
	private String networkUuid;
	private String routerUuid;// 路由ID
	private String portgroup;
	private String portUuid;
	private String mac;
	private String address;
	private String alias;
	private String dn;
	private String status;
	private String uid;
	private String remark;
	private String tenantName;
	private String bdName;
	private String primaryDns;
	private String secondaryDns;
	private String neutronNetworkId;
	private String neutronSubnetId;
	private String neutronSubnetUuid;
	private String neutronSubnetV6Uuid;
	private String vpcUuid;
	private String zone;
	private String regionId;
	private Date gmtCreate;
	private String securityGroupUuid; // azure 安全组id
	private String azureResourceGroupName;// azure 资源组
	private String vpcName;// azure vpc名称
	private String zoneNum;// TCE可用区数字id和aws可用区id
	private String tenantUuid;// openstack底层租户id
	private Boolean isDefault;
	private String resourceGroupUuid;// 资源组

	private String ipv6Cidr;// ipv6Cidr

	private List<CidrBlockModel> cidrBlockModels;
	private String routeTableId;// 路由表
	private String routeTableType;// 路由表类型
	private List<TagModel> tagModels;
	private Boolean ipV6Enable;
	private String routerTableUuid;//路由表uuid

}
