package com.bocloud.cmp.service;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.cmp.domain.OrderMessage;
import com.bocloud.cmp.enums.ResourceCategory;
import com.megatron.common.model.GeneralResult;

/**
 * 资源申请处理服务
 * 
 * @author dmw
 *
 */
public interface ResourceOperationService {

	/**
	 * 资源申请处理
	 * 
	 * @param category
	 *            申请类型
	 * @param param
	 *            申请参数
	 * @param operation
	 * @return
	 */
	public GeneralResult process(ResourceCategory category, JSONObject param, OrderMessage.Operation operation);
}
