package com.bocloud.cmp.service;

import com.bocloud.cmp.entity.VendorCategory;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;

/**
 * 基础组件 平台类型
 */
public interface VendorCategoryService {

	GeneralResult<VendorCategory> create(VendorCategory vendorCategory, RequestContext context);

	GeneralResult<VendorCategory> modify(VendorCategory vendorCategory, RequestContext context);

	GeneralResult remove(Long id, RequestContext context);

	GeneralResult<GridBean<VendorCategory>> list(Pager pager, RequestContext context);

	GeneralResult<VendorCategory> detail(Long id);
}
